Bug 24585 - Add 'Managed on' and 'Suggested on' columns to suggestions tab in patron account in staff
Summary: Add 'Managed on' and 'Suggested on' columns to suggestions tab in patron acco...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-05 01:02 UTC by Lucas Gass
Modified: 2020-03-05 00:43 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24585: Add suggested on/managed on columns (1.87 KB, patch)
2020-02-05 01:15 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24585: Add 'Managed on' and 'Suggested on' columns to pat_purchase_suggestions.tt (2.39 KB, patch)
2020-02-05 14:00 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24585: Add 'Managed on' and 'Suggested on' columns to pat_purchase_suggestions.tt (2.45 KB, patch)
2020-02-09 13:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-02-05 01:02:44 UTC
When looking a specific patrons suggestions from pat_purchase_suggestions.tt it would be nice if there were columns for 'Managed on' date and 'Suggested on' date which could sort by these dates.
Comment 1 Lucas Gass 2020-02-05 01:15:07 UTC
Created attachment 98421 [details] [review]
Bug 24585: Add suggested on/managed on columns

This patch adds 2 new columns on the suggestions table on purchase-suggestions.tt. These use the data-order attribute to allow for sorting.
TEST PLAN:
1. Have a patron with some suggestions that have been managed by staff. (accept or reject the request).
2. View that patrons suggestions from purchase-suggestions.pl.   
3. No suggested on or managaed on columns.
4. Apply patch and reload the page.
5. The new columns are there, have multiple suggestions and make sure sorting by the date works.
Comment 2 Katrin Fischer 2020-02-05 07:05:08 UTC
Hi Lucas, can you please update your patch to include a bug description and test plan? I think you might have done it in the git bz attach step - but that doesn't change the patch file itself and it's still empty.
Comment 3 Katrin Fischer 2020-02-05 07:05:55 UTC
I'll usually just do it - but I noticed it happens quite often now, so trying to get to the root of the issue :)
Comment 4 Lucas Gass 2020-02-05 14:00:03 UTC
Created attachment 98483 [details] [review]
Bug 24585: Add 'Managed on' and 'Suggested on' columns to pat_purchase_suggestions.tt

This patch adds 2 new columns on the suggestions table on purchase-suggestions.tt. These use the data-order attribute to allow for sorting.
TEST PLAN:
1. Have a patron with some suggestions that have been managed by staff. (accept or reject the request).
2. View that patrons suggestions from purchase-suggestions.pl.
3. No suggested on or managaed on columns.
4. Apply patch and reload the page.
5. The new columns are there, have multiple suggestions and make sure sorting by the date works.
Comment 5 Katrin Fischer 2020-02-09 13:10:20 UTC
Created attachment 98621 [details] [review]
Bug 24585: Add 'Managed on' and 'Suggested on' columns to pat_purchase_suggestions.tt

This patch adds 2 new columns on the suggestions table on purchase-suggestions.tt. These use the data-order attribute to allow for sorting.
TEST PLAN:
1. Have a patron with some suggestions that have been managed by staff. (accept or reject the request).
2. View that patrons suggestions from purchase-suggestions.pl.
3. No suggested on or managaed on columns.
4. Apply patch and reload the page.
5. The new columns are there, have multiple suggestions and make sure sorting by the date works.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2020-02-09 13:12:16 UTC
I can see in bug history, that this was switched to signed off by shumi78@gmail.com, but there is no sign-off line/comment. As this is a easy to read/test template change, I think PQA is ok with or without the SO.
Comment 7 Martin Renvoize 2020-02-10 10:17:29 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-03-05 00:43:31 UTC
Enhancement not pushed to 19.11.x